Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get video asset list (deprecated)

Prev Next

Available in VPC

Caution

This API is deprecated and is scheduled to be terminated in January 2027. Use the new Get media asset list API.

Get the list of video assets in a project.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/workspaces/{workspace_name}/projects/{project_id}/video-assets

Request headers

For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

The following describes the parameters.

Field Type Required Description
workspace_name String Required Workspace name
project_id String Required Project ID

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
pageNum Integer Required Page number
  • 1 or more
pageSize Integer Optional Number of items per page
  • 1-1000 (default: 1000)

Request example

The request example is as follows:

curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/video-assets?pageNum=1&pageSize=100' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String - API processing result code
message String - API processing result message
result Object - API return information
result.content Array - Video asset list: content
result.totalCount Integer - Total video asset count
result.totalPage Integer - Total number of pages
result.pageNo Integer - Page number
result.pageSize Integer - Number of items per page

result.content

The following describes content.

Field Type Required Description
videoId Integer - Video asset ID
videoName String - Video file name
projectId Integer - Project ID
metaData Object - Video metadata details
metaData.resolution String - Video resolution
  • Example: 1920x1080
metaData.durationMs Integer - Video length (millisecond)
metaData.size Integer - Video file size (byte)
metaData.format String - Video file format
  • mp4 | mkv | mov | webm
key String - Full file name of the video uploaded to Object Storage
createUserName String - User name that registered the video asset
createdTime String - Video asset registration date and time
  • ISO 8601 format
updateUserName String - User name who last edited the video asset
updatedTime String - Video asset last modification date and time
  • ISO 8601 format

Response status codes

For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Response example

The response example is as follows:

{
    "code": "0",
    "message": "success",
    "result": {
        "content": [
            {
                "videoId": 1001,
                "videoName": "sample-video-one.mp4",
                "projectId": 1234,
                "metaData": {
                    "resolution": "1280x720",
                    "durationMs": 91565,
                    "size": 101176289,
                    "format": "mp4"
                },
                "key": "sample-video-one.mp4",
                "createUserName": "user1",
                "createdTime": "2025-04-23T16:49:24",
                "updateUserName": "user1",
                "updatedTime": "2025-04-23T16:49:25"
            },
            {
                "videoId": 1002,
                "videoName": "sample-video-two.mp4",
                "projectId": 1234,
                "metaData": {
                    "resolution": "1920x1080",
                    "durationMs": 253702,
                    "size": 120333399,
                    "format": "mp4"
                },
                "key": "sample-video-two.mp4",
                "createUserName": "user2",
                "createdTime": "2025-04-23T17:13:37",
                "updateUserName": "user2",
                "updatedTime": "2025-04-23T17:13:38"
            }
        ],
        "totalCount": 2,
        "totalPage": 1,
        "pageNo": 1,
        "pageSize": 100
    }
}